import request from '@/utils/request'

export function getDistributionPage(data) {
  return request({
    url: '/js-distribution/page',
    method: 'get',
    params: data
  })
}

export function getDistributionList(data) {
  return request({
    url: '/js-distribution/list',
    method: 'post',
    data: data
  })
}

export function getDistributionDetail(data) {
  return  request({
    url: '/js-distribution/listById',
    method: 'post',
    data: data
  })
}

export function addDistributionPage(data) {
  return request({
    url: '/js-distribution/add',
    method: 'post',
    data: data
  })
}

export function editDistributionPage(data) {
  return request({
    url: '/js-distribution/edit',
    method: 'post',
    data: data
  })
}

export function delDistributionPage(data) {
  return request({
    url: '/js-distribution/delete',
    method: 'post',
    data: data
  })
}

export function lastRecord() {
  return request({
    url: '/js-distribution/lastRecord',
    method: 'get'
  })
}
